<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF | Input Devices</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

  <!-- Navigation Start -->
  <!-- Header Start -->

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="index.html">
  	  	<!-- <img src="images/logo.png" alt="" class="img-fluid">-->
  	  </a>

  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		<div class="collapse navbar-collapse" id="navbarsExample09">
  		    <ul class="navbar-nav ml-auto">
  			       <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
    			<ul class="navbar-nav ml-auto">
    			     <li class="nav-item  active"><a class="nav-link" href="../about.html">Hi</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
      		<ul class="navbar-nav ml-auto">
      		    <li class="nav-item  active"><a class="nav-link" href="../term1/term1-portfolio.html">1</a></li>
  					</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="term2-portfolio.html">2</a></li>
            </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
         	<ul class="navbar-nav ml-auto">
         	  <li class="nav-item  active"><a class="nav-link" href="../term3/term3-portfolio.html">3</a></li>
     			</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
          	<li class="nav-item  active"><a class="nav-link" href="../t_dxr/dxr-portfolio.html">Design For Regeneration</a></li>
      		</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="https://gitlab.com/laurafreixas">Gitlab</a></li>
              </ul>
  		</div>

  	</div>
  </nav>

  <!-- Header Close -->


  <!-- Navigation ENd -->

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Input Devices</h1>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
          Pablo, Andrea and Daphne have offered to do an online session and help us with the deliveries of Fab Academy input and output devices. The truth is that it has helped us a lot to resolve doubts and detect the small errors that generate frustration.
          <br>
          <br>
          First we have started looking at different typologies of temperature sensors, such as: LM35 and DHT11. Below we have searched online tutorials on these components to connect the sensors with the Arduino UNO board and enter the example code.
          <br>
          <br>
          <br>
          <br>
          <h3 class="mb-4">Tutorial: Temperature LM35</h3>
          <img src="../images/blog2/12_erginas.jpg" alt="" class="img-fluid w-100">
          https://wiki.keyestudio.com/Ks0022_keyestudio_LM35_Linear_Temperature_Sensor
          <br>
          <br>
          After understanding the base code, we have compiled it and tested whether the temperature sensor was working correctly. In case it didn’t work we have been reading the code line by line until we slightly modified the values that we thought could give an error. In my case, when checking that the sensor was connected to the pin correctly, I have changed the delay value from 500 to 1000 and the sensor has worked.
          <br>
          <br>
          <br>
          <br>
          <h3 class="mb-4">Detecting Temperature with LM35</h3>
          <img src="../images/blog2/12_okey-lm35.jpg" alt="" class="img-fluid w-100">
          Zoom session with Pablo, Andrea and Daphne as experts and Luang, Ergina and me as students.
          <br>
          <br>
          <br>
          <img src="../images/blog2/12_lm35.jpg" alt="" class="img-fluid w-100">
          LM35 from Keystudio connected to an Arduino UNO. In this LM35 board there's a capacitor attached to the temperature sensor.
          <br>
          <br>
          <br>
          <br>
          <h3 class="mb-4">Explaining the code of detecting Temperature with LM35</h3>
          Inside the "void setup" there’s one line of code:
          <br>
          <br>
          "Serial.begin" starts at 9600 bauts/second, this value needs to be the same as the "serial monitor" to see the values correctly.
          <br>
          <br>
          Inside "void loop there are different lines of code:
          <br>
          <br>
          First it is declared to functions "unsigned.int val" and "unsigned.int dat" which means: value and data.
          <br>
          <br>
          Then it is said that integral value is equal to "analogRead(0)" of pin 0.
          <br>
          <br>
          "unsigned.int dat" this means that integral data is equal to (500 * value in pin 0) / 1024. This is a conversion factor.
          <br>
          <br>
          Then "serial.print" displays the temperature on "Serial Monitor" of Arduino code with the script “Temp”.
          <br>
          <br>
          And also it displays the value of the data temperature, for example: Temp: 32C.
          <br>
          <br>
          After this it prints the script "C" and also it changes line, for this reason the function is called "serial.println(“C”)".
          <br>
          <br>
          Finally the "delay(1000)" is the time it takes in milliseconds (1000) until it shows the next value. In the first code, the delay was 500 and when I was doing "Monitor Serie" it wasn’t working well, then I change it to 1000 and the values were correct.
          <br>
          <br>
          <br>
          <br>
          <h3 class="mb-4">Temperature + Humidity DHT11</h3>
          <img src="../images/blog2/12_error2.jpg" alt="" class="img-fluid w-100">
          The sensor doesn't read the temperature, it appears "Time our error"
          <br>
          <br>
          <br>
          <img src="../images/blog2/12_okey-dht11.jpg" alt="" class="img-fluid w-100">
          After changing the delay from 500 to 1500 the sensor reads well temperature and humidity.
          <br>
          <br>
          <br>
          <img src="../images/blog2/12_dht11.jpg" alt="" class="img-fluid w-100">
          Sensor of temperature and humidity DHT11 connected to an Arduino UNO board.
          <br>
          <br>
          <br>
          Here you can find the files:
          <br>
          <a href="../images/blog2/12_Temp_LM35/12_Temp_LM35.ino" download>Temp_LM35</a>
          <br>
          <a href="../images/blog2/12_Temp_DHT11/12_Temp_DHT11.ino" download>Temp_DHT11</a>
          <br>
          <br>
          <br>
          <br>
        </div>
    </div>

				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Faculty</h5>
							<p>Pablo Zuloaga, Andrea Bertran, Daphne Gerodimou and Future Learning Unit Team</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>12/2/2020</p>
						</div>
					</div>

					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Category</h5>
							<p>Fab Academy</p>
						</div>
						<!--<div class="info">
							<h5>Share</h5>
							<a href="#"><i class="ti-facebook"></i></a>
							<a href="#"><i class="ti-twitter"></i></a>
							<a href="#"><i class="ti-pinterest"></i></a>
							<a href="#"><i class="ti-dribbble"></i></a>
						</div> -->
					</div>
				</div>

				<div class="mt-5">
					<a href="12_dd2.html" class="btn btn-dark">Previous Work</a>
					<a href="13_applications-implications.html" class="btn btn-dark">Next Work</a>
				</div>
			</div>
		</div>
	</div>
</section>

<!-- Footer start -->
<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
        <p class="mb-0">Copyrights © 2019. Owned and modified by <a href="https://fablabbcn.org/" class="text-white">Iaac-FablabBarcelona</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.instagram.com/diescheuche/" target="_blank"><i class="ti-instagram mr-3"></i></a>
						</li>
            <li class="list-inline-item"><a href="https://linkedin.com/in/laura-freixas-b7240885" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://twitter.com/diescheuche" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://laurafreixas.gitlab.io/laura.freixas/" target="_blank"><i class="ti-github mr-3"></i></a></li>


					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Footer End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
